Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.transform
Class HereFunction

`java.lang.Object
oracle.security.xmlsec.transform.HereFunction`

All Implemented Interfaces:
  org.jaxen.Function

public class HereFunction
extends java.lang.Object
implements org.jaxen.Function

Internal use only. Implements the XPath `here()` function, as defined in the IETF/W3C XML Signature specification, for the jaxen XPath engine.

Since:
  2.0

Constructor Summary
`HereFunction()` Instantiates a new `HereFunction` instance.

Method Summary
`java.lang.Object` | `call(org.jaxen.Context context, java.util.List args)` Call this function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HereFunction

    public HereFunction()

  Instantiates a new `HereFunction` instance.

Method Detail

### call

    public java.lang.Object call(org.jaxen.Context context,
                                 java.util.List args)
                          throws org.jaxen.FunctionCallException

  Call this function.
  Specified by:
    `call` in interface `org.jaxen.Function`
  Parameters:
    `context` - The context at the point in the expression when the function is called. The `Context` must have a `ContextSupport` instance of type `HereFunctionContextSupport` installed.
    `args` - List of arguments provided during the call of the function. Must be `null` or length 0.
  Returns:
    A `java.util.List` containing the node bearing the XPath expression.
  Throws:
    `org.jaxen.FunctionCallException` - If the XPath node could not be obtained from the `HereFunctionContextSupport`; or if the context node is not in the same document as the XPath node; or if the given XPath node is not one of the allowable node types.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.